Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.tagset
Class Attribute

    java.lang.Object
      ipipan.spejd.tagset.Attribute

    public class Attribute

extends java.lang.Object

Representation of attribute in tagset, like pos, case or gender. Contains methods for conversion between internal and external tagsets.

Field Summary
`static int` | `BASE`
`static int` | `ORTH`
`static int` | `POS`

Constructor Summary
`Attribute(int id, java.lang.String name, java.lang.String[] values)`

Method Summary
`int` | `charToInt(char c)`
`java.lang.String` | `getValue(char c)`
`char` | `intToChar(int i)`
`char` | `matchingValue(java.lang.String value)` Find matching value.
`java.lang.String` | `matchingValues(java.lang.String regexp)` Find values matching a regular expression.
`int` | `nOfValues()`
`void` | `printValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORTH

    public static final int ORTH

See Also:
  Constant Field Values

### BASE

    public static final int BASE

See Also:
  Constant Field Values

### POS

    public static final int POS

See Also:
  Constant Field Values

Constructor Detail

### Attribute

    public Attribute(int id,
                     java.lang.String name,
                     java.lang.String[] values)

Method Detail

### intToChar

    public char intToChar(int i)

### charToInt

    public int charToInt(char c)

### nOfValues

    public int nOfValues()

### getValue

    public java.lang.String getValue(char c)

### matchingValue

    public char matchingValue(java.lang.String value)

  Find matching value.

  Returns:
    A character representing matching values.

### matchingValues

    public java.lang.String matchingValues(java.lang.String regexp)

  Find values matching a regular expression.

  Returns:
    A string of characters representing matching values.

### printValues

    public void printValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD